

# MSP-EXP430G2ET
# Out Of Box Demo GUI v1.0.0


----------


This GUI allows interaction with the redesigned [MSP-EXP430G2ET LaunchPad](http://www.ti.com/tool/msp-exp430g2et) running its out-of-box demo software.

Using the [MSP430G2553](http://www.ti.com/product/MSP430G2553) MCU's internal temperature sensor, the LaunchPad implements a simple temperature monitor application. Data is transmitted through the Backchannel UART @9600 baud rate.

> **Note:**
> 
>This out-of-box firmware was reused from the original MSP-EXP430G2 LaunchPad and updated to change the UART baud rate from 2400 baud to 9600 baud.
>
> This new GUI and firmware will still work with the original MSP-EXP430G2 LaunchPad. However, due to the old emulator limitations, users will have to use USB2.0 and ensure that the correct UART COM Port is configured by using "Options" in the top menu.

# Requirements


----------


***Target Hardware:***

 - The [MSP-EXP430G2ET LaunchPad](http://www.ti.com/tool/msp-exp430g2et)

***Target Software:***

 - Out of box demo firmware (OutOfBox_MSP430G2ET)
 - The firmware can be downloaded in this GUI by selecting File -> Program Device...

*** Before running the Out of Box demo, please make sure your LaunchPad is running the latest firmware. To do this use File > Program Device. This will also ensure you have the current drivers and cloud agent properly installed.***


# Instructions


----------


## Connection

 1. Connect the MSP-EXP430G2ET LaunchPad to you PC via the USB connector
 2. If not connected automatically, click on the link icon at the bottom
    left corner and make sure the serial connection has been established
    @9600 baud rate. (GUI status bar indicates "waiting for data...")

 3. When powering up the Out-of-Box demo, the MSP-EXP430G2ET LaunchPad development kit starts with a two LED toggle loop. At any time, press S1 to enter the Live Temperature mode.

> **Note:**
> 
>  - The MSP-EXP430G2ET LaunchPad transmits the raw 10-bit ADC temperature data through its backchannel UART communication to this PC GUI.

## Live Temperature Mode

In this mode, the LaunchPad development kit repeatedly measures the MSP430G2553 device internal temperature and transfers the data to the PC through UART. A reference temperature is taken at the beginning of this mode, and the LEDs of the LaunchPad development kit signal a rise or fall in temperature by varying the brightness of the on-board red or green LED, relative to the reference temperature.

 - The user can influence the temperature of the device by blowing hot or cold air and observing the changes in the user LED brightness or see data changes on the GUI.

The reference temperature can also be recalibrated with another button press on S1 (P1.3). The further the recorded temperature is from the reference temperature, the brighter the corresponding LEDs will illuminate.